# Uses of Class
javafx.scene.control.IndexRange

Packages that use IndexRange
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of IndexRange in javafx.scene.control

Methods in javafx.scene.control that return IndexRange
Modifier and Type
Method
Description
`final IndexRange`
TextFormatter.Change.`getSelection()`
Gets the selection of this change.
`final IndexRange`
TextInputControl.`getSelection()`
Gets the value of the `selection` property.
`static IndexRange`
IndexRange.`normalize(int v1, int v2)`
Convenience method to create an IndexRange instance that has the smaller value as the start index, and the larger value as the end index.
`static IndexRange`
IndexRange.`valueOf(String value)`
Convenience method to parse in a String of the form '2,6', which will create an IndexRange instance with a start value of 2, and an end value of 6.
Methods in javafx.scene.control that return types with arguments of type IndexRange
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<IndexRange>`
TextInputControl.`selectionProperty()`
The current selection.
Methods in javafx.scene.control with parameters of type IndexRange
Modifier and Type
Method
Description
`void`
TextInputControl.`deleteText(IndexRange range)`
Removes a range of characters from the content.
`void`
TextInputControl.`replaceText(IndexRange range, String text)`
Replaces a range of characters with the given text.
Constructors in javafx.scene.control with parameters of type IndexRange
Modifier
Constructor
Description
``
`IndexRange(IndexRange range)`
Creates an instance of IndexRange by copying the values from the given IndexRange object.